---

### tags:

- name: 'Ensures <{{ upload_directory }}> directory exists'
  file:
    state: directory
    path: '{{ upload_directory }}'
    mode: 0644

- name: "Copy file to remote <{{ upload_directory }}/{{ upload_file | basename }}>"
  copy:
    src: "{{ upload_file }}"
    dest: "{{ upload_directory }}/{{ upload_file | basename }}"
    mode: 0644
